/**
 * @author Lluís Moran
 * 
 * TFC Seguretat Informàtica
 * ETIS - UOC
 * 2011
 * 
 */
package cauoc;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 * Servlet que redirecciona les pàgines jsp al menú d'administrador
 * sense perdre les dades de la sessió.
 */
@WebServlet("/link")
public class LinkForward extends HttpServlet {

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String desti = "";

		HttpSession session = request.getSession(true);

		if(session.getAttribute("admin") != null && session.getAttribute("admin").equals(true)){
			desti = "/jsp/menuadmin.jsp";
		}else{
			desti = "/jsp/sessionerror.jsp";
		}
		
		RequestDispatcher rd = getServletContext().getRequestDispatcher(desti);
		rd.forward(request, response);

	}
}		
