/**
 * @author Lluís Moran
 * 
 * TFC Seguretat Informàtica
 * ETIS - UOC
 * 2011
 * 
 */
package cauoc;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;


/**
 * Servlet que fa les funcions de menú d'administrador.
 * Recull l'opció escollida per cridar la pàgina corresponent
 * per confirmar o dur a terme la funció.
 *
 */
@WebServlet("/menuadmin")
public class MenuAdmin extends HttpServlet {

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String desti = "";
		
		HttpSession session = request.getSession(true);
				
		if(session.getAttribute("admin") != null && session.getAttribute("admin").equals(true)){
			String opcio = request.getParameter("opcio");
			
			if(opcio.equals("iniciar")){
				desti = "/jsp/menuinici.jsp";
			}
			if(opcio.equals("reiniciar")){
				desti = "/jsp/menureinici.jsp";
			}
			if(opcio.equals("gestioadmins")){
				desti = "/jsp/gestioadmins.jsp";
			}
			if(opcio.equals("consultar")){
				desti = "/jsp/menuconsulta.jsp";
			}
			if(opcio.equals("revocar")){
				desti = "/jsp/menurevocacio.jsp";
			}
			if(opcio.equals("publicrl")){
				int nextUpdate = LoadConfig.CRLDAYS;
				request.setAttribute("nextUpdate", nextUpdate);
				desti = "/jsp/publicrl.jsp";
			}
			
		}else{
			desti = "/jsp/sessionerror.jsp";
		}
		RequestDispatcher rd = getServletContext().getRequestDispatcher(desti);
		rd.forward(request, response);
	}

}
