/**
 * @author Lluís Moran
 * 
 * TFC Seguretat Informàtica
 * ETIS - UOC
 * 2011
 * 
 */
package cauoc;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;


/**
 * Servlet que fa les funcions de menú de consultes.
 * Recull l'opció escollida per passar-la a la pàgina corresponent
 * per concretar la cerca.
 *
 */
@WebServlet("/menuconsulta")
public class MenuConsulta extends HttpServlet {

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String desti = "";
		
		HttpSession session = request.getSession(true);
				
		if(session.getAttribute("admin") != null && session.getAttribute("admin").equals(true)){
			String opcio = request.getParameter("opcio");
			
			if(opcio.equals("cercacerts")){
				desti = "/jsp/cercacerts.jsp";
			}
			if(opcio.equals("cercacrl")){
				desti = "/jsp/cercacrl.jsp";
			}
			
		}else{
			desti = "/jsp/sessionerror.jsp";
		}
		RequestDispatcher rd = getServletContext().getRequestDispatcher(desti);
		rd.forward(request, response);
	}

}

